import {
  DefaultShapeData,
  ShapeConfig,
} from '../../components/annotator/types';

const CONFIDENT_THRESHOLD = 0.1;

export function isConfidentShape(
  shape: ShapeConfig<DefaultShapeData & { confidentScore?: number }>,
) {
  return (
    !shape.data?.confidentScore ||
    shape.data.confidentScore > CONFIDENT_THRESHOLD
  );
}
